#!/bin/bash
# wol server
# Linux kernel module init script

### BEGIN INIT INFO
# Provides:       wol_srv
# Required-Start: $syslog
# Required-Stop:
# Default-Start:  2 3 4 5
# Default-Stop:   0 1 6
# Short-Description: Wake on Lan Server to start Prozesses on receiving
### END INIT INFO

CONF="/etc/wol_srv.conf"
PID_FILE="/run/wol_srv.pid"
PROGNAME="wol_srv"
PROG=/usr/bin/$PROGNAME

set -e
COMMAND="$1"

start() {
	echo "Starting Wake on Lan Server"
	$PROG $CONF
}

stop() {
	echo "Stopping Wake on Lan Server"
	kill -s TERM `cat $PID_FILE`
}

case $COMMAND in
start)
	start
    ;;
stop)
	stop
    ;;
restart)
	stop
	start
    ;;
esac
